aboutsummaryrefslogtreecommitdiffstats
path: root/main/pianobar/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-03-29 16:23:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-03-31 12:48:15 +0000
commit5aa2aad2031748484743cddd5d9827718fe42723 (patch)
tree74776bed79011e002f7f110305d4878128e7d898 /main/pianobar/APKBUILD
parent3df01047adec04670024c8b59ca421763e6e68a9 (diff)
downloadaports-5aa2aad2031748484743cddd5d9827718fe42723.tar.gz
aports-5aa2aad2031748484743cddd5d9827718fe42723.tar.bz2
aports-5aa2aad2031748484743cddd5d9827718fe42723.tar.xz
main/pianobar: upgrade to 2015.11.22
Diffstat (limited to 'main/pianobar/APKBUILD')
-rw-r--r--main/pianobar/APKBUILD27
1 files changed, 9 insertions, 18 deletions
diff --git a/main/pianobar/APKBUILD b/main/pianobar/APKBUILD
index 3eb2e14b3a..b46f61c787 100644
--- a/main/pianobar/APKBUILD
+++ b/main/pianobar/APKBUILD
@@ -1,33 +1,24 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=pianobar
-pkgver=2014.09.28
+pkgver=2015.11.22
pkgrel=0
pkgdesc="commandline player for pandora webradio"
url="https://github.com/PromyLOPh/pianobar"
arch="all"
license="MIT"
depends=
-depends_dev="ffmpeg-dev libao-dev libgcrypt-dev gnutls-dev json-c-dev"
+depends_dev="ffmpeg-dev libao-dev libgcrypt-dev gnutls-dev json-c-dev curl-dev"
makedepends="$depends_dev"
install=""
subpackages="$pkgname-doc"
-source="pianobar-${pkgver}.tar.gz::https://github.com/PromyLOPh/pianobar/tarball/${pkgver}"
-
-_builddir="${srcdir}/PromyLOPh-pianobar-5b9e0d9"
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+source="pianobar-${pkgver}.tar.gz::https://github.com/PromyLOPh/pianobar/archive/$pkgver.tar.gz
+ "
+_builddir="$srcdir"/pianobar-$pkgver
build() {
cd "$_builddir"
- make CC='gcc -std=c99' PREFIX="/usr" || return 1
+ make PREFIX="/usr" || return 1
}
package() {
@@ -35,6 +26,6 @@ package() {
make DESTDIR="$pkgdir" PREFIX="/usr" install || return 1
}
-md5sums="82a6c9a9031ad7284130fad15411da47 pianobar-2014.09.28.tar.gz"
-sha256sums="7ddc7a651f0185451f7c457dcb9587c445d1a738a620bc16fb358f68f8938d2b pianobar-2014.09.28.tar.gz"
-sha512sums="b36825098658358d0c760075da0ce10c4fbe6722e371d4bd54b5d11e3e20d5be523388db6f427196a60455becda18b04cdd517b550b3a367d9ea88d40e978427 pianobar-2014.09.28.tar.gz"
+md5sums="c07f31075331a16cdf4caa216ea500ff pianobar-2015.11.22.tar.gz"
+sha256sums="db7142a817ceb674d3057e847542754117b5a0ea41780c3c9c1b77b852704d08 pianobar-2015.11.22.tar.gz"
+sha512sums="2e850eb5cc2d127744d0f45688c52dcf2a8f36bd4f17cf57d6c038a5285b51f1de8951c8e4f2d44d9450ac43c649dd5f6d2a0e7e8d7382f9e6b9e0f142ae9a43 pianobar-2015.11.22.tar.gz"